Bug 307421 - Cups fails to print certain (postscript?) files
Cups fails to print certain (postscript?) files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: scribus (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 13:22 EDT by Jesse Barnes
Modified: 2009-07-14 13:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:47:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Barnes 2007-09-26 13:22:07 EDT
Description of problem:
When printing from some applications (like Scribus), my Fedora CUPS server 
fails to print the submitted document.

Version-Release number of selected component (if applicable):
foomatic-3.0.2-51.fc8
cups-1.2.10-10.fc7
ghostscript-8.60-2.fc8

How reproducible:
Everytime.

Steps to Reproduce:
1.  Create a document in Scribus
2.  Print it to a CUPS attached printer
  
Actual results:
Document fails to print.

Expected results:
Printed document.

Looking in the CUPS error log, I see these messages (after enabling debug 
output as suggested by earlier errors):

D [25/Sep/2007:21:23:04 -0700] cupsdProcessIPPRequest: 9 status_code=0 
(successful-ok)
D [25/Sep/2007:21:23:05 -0700] [Job 55] Wrote 1 pages...
D [25/Sep/2007:21:23:05 -0700] PID 23781 (/usr/lib/cups/filter/pstops) exited 
with no errors.
D [25/Sep/2007:21:23:05 -0700] [Job 55] Found: %%PageTrailer
D [25/Sep/2007:21:23:05 -0700] [Job 55] --> Continue DSC parsing now.
D [25/Sep/2007:21:23:05 -0700] [Job 55]
D [25/Sep/2007:21:23:05 -0700] [Job 55] Found: %%Trailer
D [25/Sep/2007:21:23:05 -0700] [Job 55] --> Continue DSC parsing now.
D [25/Sep/2007:21:23:05 -0700] [Job 55]
D [25/Sep/2007:21:23:05 -0700] [Job 55] Found: %%Pages: 1
D [25/Sep/2007:21:23:05 -0700] [Job 55] --> Continue DSC parsing now.
D [25/Sep/2007:21:23:05 -0700] [Job 55]
D [25/Sep/2007:21:23:05 -0700] [Job 55] Found: %%BoundingBox: 24 49 426 603
D [25/Sep/2007:21:23:05 -0700] [Job 55] --> Continue DSC parsing now.
D [25/Sep/2007:21:23:05 -0700] [Job 55]
D [25/Sep/2007:21:23:05 -0700] [Job 55] Found: %%EOF
D [25/Sep/2007:21:23:05 -0700] [Job 55] --> Continue DSC parsing now.
D [25/Sep/2007:21:23:05 -0700] [Job 55]
D [25/Sep/2007:21:23:05 -0700] [Job 55]
D [25/Sep/2007:21:23:05 -0700] [Job 55] Closing renderer
D [25/Sep/2007:21:23:05 -0700] [Job 55] KID3 exited with status 1
D [25/Sep/2007:21:23:05 -0700] [Job 55] Renderer exit stat: 1
D [25/Sep/2007:21:23:05 -0700] [Job 55] Renderer process finished
D [25/Sep/2007:21:23:05 -0700] [Job 55] Killing process 23787 (KID3)
D [25/Sep/2007:21:23:05 -0700] [Job 55] Process dying with "Error closing 
renderer", exit stat: 1
D [25/Sep/2007:21:23:05 -0700] [Job 55] error: Illegal seek (29)
D [25/Sep/2007:21:23:05 -0700] [Job 55] Error closing renderer
E [25/Sep/2007:21:23:05 -0700] PID 23782 (/usr/lib/cups/filter/foomatic-rip) 
sto
pped with status 1!
D [25/Sep/2007:21:23:05 -0700] PID 23783 (/usr/lib/cups/backend/usb) exited 
with no errors.
D [25/Sep/2007:21:23:05 -0700] [Job 55] File 0 is complete.
D [25/Sep/2007:21:23:05 -0700] Discarding unused printer-state-changed 
event...
D [25/Sep/2007:21:23:05 -0700] Discarding unused job-stopped event...
D [25/Sep/2007:21:23:06 -0700] Unloading job 55...

foomatic-rip apparently exited with status 1, which could be an EPERM, but I 
can't see what file or directory it might be failing to get access to...
Comment 1 Tim Waugh 2007-09-27 06:56:17 EDT
Thanks for the report.  I need more information:

1. Please attach a sample PostScript file.

2. How exactly are you printing it?  What command line, if from the command line
-- please be specific, so that I can try to reproduce the problem here.
Comment 2 Jesse Barnes 2007-09-27 13:00:54 EDT
I won't be able to get to one of the failing .ps files until tonight.

However, I believe this will happen with any Scribus generated content.  
Just install Scribus (a KDE app), make a test document and try to print 
it.  Exporting the file to a .ps and trying to print it from 
KGhostview also fails.
Comment 3 Tim Waugh 2008-01-10 11:55:07 EST
Fails with Fedora 8 when printing to an "Epson Stylus D68
Foomatic/gutenprint-ijs-simplified.5.0" queue.

foomatic-3.0.2-52.fc8
ghostscript-8.61-5.fc8
cups-1.3.5-1.fc8

What type of printer are you trying to print to?
Comment 4 Tim Waugh 2008-01-10 12:19:04 EST
That turned out to be due to 'PageSize' being set to 'Custom' in the printer
options.

Another failed print (entirely black sheet of paper) was due to 'Brightness' and
'Saturation' being set to 0.

Looks like it's all scribus bugs.  Reassigning.
Comment 5 Jesse Barnes 2008-01-10 13:03:14 EST
FWIW I'm using an hp photosmart 7760.

foomatic-3.0.2-52.fc8
ghostscript-8.61-5.fc8
cups-1.3.4-4.fc8

Thanks for testing, I hope there's a scribus update available soon with fixes 
for its postscript generation.
Comment 6 Bug Zapper 2008-05-13 23:17:13 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 18:52:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:47:09 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.